This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 870467 - spacecmd interactive mode exits if wrong argument is entered
spacecmd interactive mode exits if wrong argument is entered
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.8
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Aron Parsons
Red Hat Satellite QA List
:
Depends On:
Blocks: space19
  Show dependency treegraph
 
Reported: 2012-10-26 10:53 EDT by David Juran
Modified: 2013-03-06 10:56 EST (History)
3 users (show)

See Also:
Fixed In Version: spacecmd-1.9.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-03 17:36:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Juran 2012-10-26 10:53:59 EDT
Description of problem:
If you in spacecmd interactive mode type an invalid parameter, e.g. snippet_update -n foo, the interactvie mode exits

Version-Release number of selected component (if applicable):
spacecmd-1.8.15-1


Steps to Reproduce:
1. spacecmd
2. snippet_update -n foo

  
Actual results:

interactive mode exits and you get thrown out into your shell.
Comment 1 Miroslav Suchý 2012-10-29 09:53:47 EDT
Forwarding to upstream.
Comment 2 Michael Mráka 2012-10-31 07:02:52 EDT
Reassigning to spacecmd maintainer.
Comment 3 Steven Hardy 2013-02-21 06:49:18 EST
Reassigning to Aron Parsons, spacecmd maintainer
Comment 4 Aron Parsons 2013-03-03 17:36:53 EST
commit aa6d1c678db182185d0b7e0bd789719cd371eb79

This fixes the same issue throughout the whole application.  We needed to subclass OptionParser to change the error behavior.
Comment 5 Jan Pazdziora 2013-03-04 03:09:12 EST
Aron, we prefer to set the state to MODIFIED when changes were done for the bugzilla, fill the Fixed In Version (I did that now) and leave it for the release nanny to close the bugzilla when the new Spacewalk release is released.

Note You need to log in before you can comment on or make changes to this bug.